\usepackage{iftex}
\ifPDFTeX
	% pdflatex packages
	\usepackage[T1]{fontenc}
	\usepackage[utf8]{inputenc}
\fi
\ifLuaTeX
	% lualatex packages
	\usepackage[no-math]{fontspec}
	\usepackage{selnolig}
\fi

\ifPDFTeX
	%not available with lualatex...
	%\usepackage[scaled=0.92]{helvet}
	%no small caps
	%\usepackage[scaled=.92]{nimbussans}
	%fake small caps
	\usepackage[scale=0.92]{tgheros}
\fi
\ifLuaTeX
	\usepackage{lualatex-math}
	%no small caps
	%\setmainfont[Scale=0.92]{Nimbus Sans L}
	%\setsansfont[Scale=0.92]{Nimbus Sans L}
	%fake small caps
	\setmainfont[Scale=0.92]{TeX Gyre Heros}
	\setsansfont[Scale=0.92]{TeX Gyre Heros}
\fi

\usepackage[scaled=0.92]{beramono}
%\usepackage[scaled=0.92]{DejaVuSansMono}

\usepackage[protrusion=true,expansion=true]{microtype}
\usepackage{textcomp}
\usepackage{slantsc}
\usepackage{relsize}

\nonfrenchspacing

\DeclareTextFontCommand{\textsb}{\sbseries}

\newcommand*{\sbdefault}{sb}
\DeclareRobustCommand{\sbseries}{%
	\not@math@alphabet\sbseries\relax
	\fontseries\sbdefault\selectfont}
\DeclareTextFontCommand{\textsb}{\sbseries}

\usepackage{amsmath}
\usepackage{mathtools}
\usepackage{mathdots}
\usepackage{amssymb}
\let\openbox\relax
\usepackage{amsthm}
\usepackage{thmtools}
\usepackage{nicefrac}
\usepackage{scalerel}

\usepackage[scaled=1.07]{newtxsf}
%\usepackage{mathptmx}
%\usepackage{pifont}
\let\mathbb\relax
\DeclareMathAlphabet\PazoBB{U}{fplmbb}{m}{n}%
\newcommand{\mathbb}[1]{\scalebox{0.85}[0.97]{\ensuremath{\PazoBB{#1}}}}%

\DeclareFontFamily{OMS}{pzc}{\skewchar\font48}
\DeclareFontShape{OMS}{pzc}{m}{n}{%
	<-6> 	s * [0.98] cmsy5
	<6-7>	s * [0.98] cmsy6
	<7-8>	s * [0.98] cmsy7
	<8-9>	s * [0.98] cmsy8
	<9-10>	s * [0.98] cmsy9
	<10->	s * [0.98] cmsy10
}{}
\DeclareMathAlphabet{\mathcal}{OMS}{pzc}{m}{n}

\newcommand{\runtime}[1]{\ensuremath{\mathcal{O}\left(#1\right)}}

\usepackage{slashed}
\newcommand{\nothing}{\slashed{o}}

\newcommand{\sign}{\scalebox{0.66}[1.0]{\( - \)}}
\DeclarePairedDelimiterX\set[1]{\lbrace}{\rbrace}{\def\given{\;\delimsize\vert\;}#1}
\DeclarePairedDelimiterX\ceil[1]{\lceil}{\rceil}{#1}
\DeclarePairedDelimiterX\floor[1]{\lfloor}{\rfloor}{#1}
\DeclarePairedDelimiterX\abs[1]{\vert}{\vert}{#1}
\newcommand{\size}{\scalerel*{\#}{\ensuremath{\vert}}}
\newcommand{\ind}{\perp\!\!\!\perp}
\DeclareMathOperator{\avg}{avg}